summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2004-10-25 01:49:54 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:04:36 -0500
commit1e7e5800203b9d5cf97967c2561320783f6e4434 (patch)
treeb0560bf67d89370ed8e15810dbc781bac5cc942e
parent7397361dae8424c9da24a04576c93bf8470041ee (diff)
downloadsamba-1e7e5800203b9d5cf97967c2561320783f6e4434.tar.gz
samba-1e7e5800203b9d5cf97967c2561320783f6e4434.tar.bz2
samba-1e7e5800203b9d5cf97967c2561320783f6e4434.zip
r3176: added a script to run all the filesystem torture tests that are
expected to pass. This allows easy testing for regressions when I change core routines in the posix backend. (This used to be commit 867cae746671916c95d18ac4baf8d9604e437202)
-rwxr-xr-xsource4/script/tests/test_posix.sh53
1 files changed, 53 insertions, 0 deletions
diff --git a/source4/script/tests/test_posix.sh b/source4/script/tests/test_posix.sh
new file mode 100755
index 0000000000..0cb983e74c
--- /dev/null
+++ b/source4/script/tests/test_posix.sh
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# this runs the file serving tests that are expected to pass with the
+# current posix ntvfs backend
+
+if [ $# -lt 3 ]; then
+cat <<EOF
+Usage: test_posix.sh UNC USERNAME PASSWORD <first>
+EOF
+exit 1;
+fi
+
+unc="$1"
+username="$2"
+password="$3"
+start="$4"
+shift 3
+
+testit() {
+ cmdline="$*"
+ if ! $cmdline > test.$$ 2>&1; then
+ cat test.$$;
+ rm -f test.$$;
+ echo "TEST FAILED - $cmdline";
+ exit 1;
+ fi
+ rm -f test.$$;
+}
+
+
+tests="BASE-FDPASS BASE-LOCK1 BASE-LOCK2 BASE-LOCK3 BASE-LOCK4"
+tests="$tests BASE-LOCK5 BASE-LOCK6 BASE-LOCK7 BASE-UNLINK BASE-ATTR"
+tests="$tests BASE-TRANS2 BASE-NEGNOWAIT BASE-DIR"
+tests="$tests BASE-DENY2 BASE-TCON BASE-TCONDEV BASE-RW1"
+tests="$tests BASE-DENY3 BASE-XCOPY"
+tests="$tests BASE-DELETE BASE-PROPERTIES BASE-MANGLE"
+tests="$tests BASE-CHKPATH BASE-SECLEAK"
+tests="$tests RAW-QFSINFO RAW-QFILEINFO RAW-SFILEINFO-BUG"
+tests="$tests RAW-LOCK RAW-SEEK"
+
+
+soon="BASE-DIR1 BASE-DENY1 BASE-VUID BASE-OPEN BASE-DEFER_OPEN BASE-RENAME BASE-OPENATTR BASE-CHARSET"
+soon="$soon RAW-SFILEINFO RAW-SEARCH RAW-CLOSE RAW-OPEN RAW-MKDIR RAW-OPLOCK RAW-NOTIFY RAW-MUX RAW-IOCTL"
+soon="$soon RAW-CHKPATH RAW-UNLINK RAW-READ RAW-WRITE RAW-CONTEXT RAW-RENAME"
+
+for t in $tests; do
+ if [ ! -z "$start" -a "$start" != $t ]; then
+ continue;
+ fi
+ start=""
+ echo Testing $t
+ testit bin/smbtorture $unc -U"$username"%"$password" $t
+done